# Contributing to Notepadqq

## Pull Requests

Thanks for contributing to Notepadqq! To be sure that your pull request will be accepted, please follow these steps.

#### 1. Know the git workflow

 * If you're not a git master (who is?) take a look here to learn the common workflow: https://gist.github.com/Chaser324/ce0505fbed06b947d962

#### 2. Write the code

 * Make sure that your code respects the style conventions of the project. Look at the code around you: do you see
   spaces before parenthesis? Are brackets on their own line? Copy that! The most important thing is to be consistent.
 * Put a comment block over your methods, describing what they do, their parameters, and their results.

#### 3. Review the code

 * One pull request is meant to contain just one fix/feature. Open another pull request if you have some other
   unrelated change to submit.
 * Make sure your pull request doesn't contain trivial, unwanted changes. For example, if you're working on a big feature
   and you happen to open Qt Designer and it increases the height of the window by 1px, please keep that out of the pull request.
   In general, keep the number of changes at the minimum necessary.
 * Take some time to review the diff of your changes, so that you're confident that everything is correct.

#### 4. Explain the code

 * Code should be self-explanatory, but with large changesets it is difficult to see the big picture. Always include an 
   explanation about *what* your code does and *why*. Put it in the description of the pull request. 
